Bug 119754

Summary: [em] em hung after "watchdog timeout -- resetting" on SMP with 2+ cpus
Product: Base System Reporter: Gilles Cohen <gilles>
Component: kernAssignee: jfv
Status: Closed FIXED    
Severity: Affects Only Me CC: sbruno
Priority: Normal Keywords: IntelNetworking
Version: 6.2-RELEASE   
Hardware: Any   
OS: Any   

Description Gilles Cohen 2008-01-17 19:00:01 UTC
Under heavy CPU and network load (combined)
the em0 interface hangs after the following message
    em0: watchdog timeout -- resetting
and cannot be restarted with ifconfig down/up
(a reboot is necessary)

Hardware environment
ASUS P5VDC-TVM TE Rev.A2 mATX P4M900 (OEMed to MaxData)
with a core 2 duo E4400 M processor
and an Intel PCI NIC Pro100GT LPr PWLA8391GT G1L20
Chipset PCI ID: 8086:107c

/var/log/messages:
Jan 17 20:31:54 camtrace15 syslogd: kernel boot file is /boot/kernel/kernel
Jan 17 20:31:54 camtrace15 kernel: Copyright (c) 1992-2007 The FreeBSD Project.
Jan 17 20:31:54 camtrace15 kernel: Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
Jan 17 20:31:54 camtrace15 kernel: The Regents of the University of California. All rights reserved.
Jan 17 20:31:54 camtrace15 kernel: FreeBSD is a registered trademark of The FreeBSD Foundation.
Jan 17 20:31:54 camtrace15 kernel: FreeBSD 6.2-RELEASE #1: Tue Jan 15 18:01:57 CET 2008
Jan 17 20:31:54 camtrace15 kernel: root@felger.axis.fr:/usr/obj/usr/src/sys/SMP
Jan 17 20:31:54 camtrace15 kernel: WARNING: MPSAFE network stack disabled, expect reduced performance.
Jan 17 20:31:54 camtrace15 kernel: ACPI APIC Table: <MaxDat MaxSys..>
Jan 17 20:31:54 camtrace15 kernel: Timecounter "i8254" frequency 1193182 Hz quality 0
Jan 17 20:31:54 camtrace15 kernel: CPU: Intel(R) Pentium(R) Dual  CPU  E2140  @ 1.60GHz (1599.83-MHz 686-class CPU)
Jan 17 20:31:54 camtrace15 kernel: Origin = "GenuineIntel"  Id = 0x6fd  Stepping = 13
Jan 17 20:31:54 camtrace15 kernel: Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
Jan 17 20:31:54 camtrace15 kernel: Features2=0xe39d<SSE3,RSVD2,MON,DS_CPL,EST,TM2,<b9>,CX16,<b14>,<b15>>
Jan 17 20:31:54 camtrace15 kernel: AMD Features=0x20100000<NX,LM>
Jan 17 20:31:54 camtrace15 kernel: AMD Features2=0x1<LAHF>
Jan 17 20:31:54 camtrace15 kernel: Cores per package: 2
Jan 17 20:31:54 camtrace15 kernel: real memory  = 468582400 (446 MB)
Jan 17 20:31:54 camtrace15 kernel: avail memory = 448884736 (428 MB)
Jan 17 20:31:54 camtrace15 kernel: FreeBSD/SMP: Multiprocessor System Detected: 2 CPUs
Jan 17 20:31:54 camtrace15 kernel: cpu0 (BSP): APIC ID:  0
Jan 17 20:31:54 camtrace15 kernel: cpu1 (AP): APIC ID:  1
Jan 17 20:31:54 camtrace15 kernel: ioapic0: Changing APIC ID to 4
Jan 17 20:31:54 camtrace15 kernel: ioapic0 <Version 0.3> irqs 0-23 on motherboard
Jan 17 20:31:54 camtrace15 kernel: ioapic1 <Version 0.3> irqs 24-47 on motherboard
Jan 17 20:31:54 camtrace15 kernel: kbd1 at kbdmux0
Jan 17 20:31:54 camtrace15 kernel: ath_hal: 0.9.17.2 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
Jan 17 20:31:54 camtrace15 kernel: acpi0: <MaxDat MaxSys..> on motherboard
Jan 17 20:31:54 camtrace15 kernel: acpi_bus_number: can't get _ADR
Jan 17 20:31:54 camtrace15 last message repeated 40 times
Jan 17 20:31:54 camtrace15 kernel: acpi0: Power Button (fixed)
Jan 17 20:31:54 camtrace15 kernel: acpi_bus_number: can't get _ADR
Jan 17 20:31:54 camtrace15 last message repeated 5 times
Jan 17 20:31:54 camtrace15 kernel: Timecounter "ACPI-fast" frequency 3579545 Hz quality 1000
Jan 17 20:31:54 camtrace15 kernel: acpi_timer0: <24-bit timer at 3.579545MHz> port 0x408-0x40b on acpi0
Jan 17 20:31:54 camtrace15 kernel: cpu0: <ACPI CPU> on acpi0
Jan 17 20:31:54 camtrace15 kernel: cpu1: <ACPI CPU> on acpi0
Jan 17 20:31:54 camtrace15 kernel: acpi_button0: <Power Button> on acpi0
Jan 17 20:31:54 camtrace15 kernel: acpi_button1: <Sleep Button> on acpi0
Jan 17 20:31:54 camtrace15 kernel: pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
Jan 17 20:31:54 camtrace15 kernel: pci0: <ACPI PCI bus> on pcib0
Jan 17 20:31:54 camtrace15 kernel: pci0: <base peripheral, interrupt controller> at device 0.5 (no driver attached)
Jan 17 20:31:54 camtrace15 kernel: pcib1: <PCI-PCI bridge> at device 1.0 on pci0
Jan 17 20:31:54 camtrace15 kernel: pci1: <PCI bus> on pcib1
Jan 17 20:31:54 camtrace15 kernel: pci1: <display, VGA> at device 0.0 (no driver attached)
Jan 17 20:31:54 camtrace15 kernel: pcib2: <ACPI PCI-PCI bridge> irq 27 at device 2.0 on pci0
Jan 17 20:31:54 camtrace15 kernel: pci2: <ACPI PCI bus> on pcib2
Jan 17 20:31:54 camtrace15 kernel: pcib3: <ACPI PCI-PCI bridge> irq 31 at device 3.0 on pci0
Jan 17 20:31:54 camtrace15 kernel: pci3: <ACPI PCI bus> on pcib3
Jan 17 20:31:54 camtrace15 kernel: atapci0: <GENERIC ATA controller> port 0xfc00-0xfc07,0xf800-0xf803,0xf400-0xf407,0xf000-0xf003,0xec00-0xec0f,0xe800-0xe8ff irq 21 at device 15.0 on pci0
Jan 17 20:31:54 camtrace15 kernel: ata2: <ATA channel 0> on atapci0
Jan 17 20:31:54 camtrace15 kernel: ata3: <ATA channel 1> on atapci0
Jan 17 20:31:54 camtrace15 kernel: atapci1: <GENERIC ATA controller> port 0x1f0-0x1f7,0x3f6,0x170-0x177,0x376,0xe400-0xe40f at device 15.1 on pci0
Jan 17 20:31:54 camtrace15 kernel: ata0: <ATA channel 0> on atapci1
Jan 17 20:31:54 camtrace15 kernel: ata1: <ATA channel 1> on atapci1
Jan 17 20:31:54 camtrace15 kernel: uhci0: <VIA 83C572 USB controller> port 0xe000-0xe01f irq 20 at device 16.0 on pci0
Jan 17 20:31:54 camtrace15 kernel: uhci0: [GIANT-LOCKED]
Jan 17 20:31:54 camtrace15 kernel: usb0: <VIA 83C572 USB controller> on uhci0
Jan 17 20:31:54 camtrace15 kernel: usb0: USB revision 1.0
Jan 17 20:31:54 camtrace15 kernel: uhub0: VIA UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
Jan 17 20:31:54 camtrace15 kernel: uhub0: 2 ports with 2 removable, self powered
Jan 17 20:31:54 camtrace15 kernel: uhci1: <VIA 83C572 USB controller> port 0xdc00-0xdc1f irq 22 at device 16.1 on pci0
Jan 17 20:31:54 camtrace15 kernel: uhci1: [GIANT-LOCKED]
Jan 17 20:31:54 camtrace15 kernel: usb1: <VIA 83C572 USB controller> on uhci1
Jan 17 20:31:54 camtrace15 kernel: usb1: USB revision 1.0
Jan 17 20:31:54 camtrace15 kernel: uhub1: VIA UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
Jan 17 20:31:54 camtrace15 kernel: uhub1: 2 ports with 2 removable, self powered
Jan 17 20:31:54 camtrace15 kernel: uhci2: <VIA 83C572 USB controller> port 0xd800-0xd81f irq 21 at device 16.2 on pci0
Jan 17 20:31:54 camtrace15 kernel: uhci2: [GIANT-LOCKED]
Jan 17 20:31:54 camtrace15 kernel: usb2: <VIA 83C572 USB controller> on uhci2
Jan 17 20:31:54 camtrace15 kernel: usb2: USB revision 1.0
Jan 17 20:31:54 camtrace15 kernel: uhub2: VIA UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
Jan 17 20:31:54 camtrace15 kernel: uhub2: 2 ports with 2 removable, self powered
Jan 17 20:31:54 camtrace15 kernel: uhci3: <VIA 83C572 USB controller> port 0xd400-0xd41f irq 23 at device 16.3 on pci0
Jan 17 20:31:54 camtrace15 kernel: uhci3: [GIANT-LOCKED]
Jan 17 20:31:54 camtrace15 kernel: usb3: <VIA 83C572 USB controller> on uhci3
Jan 17 20:31:54 camtrace15 kernel: usb3: USB revision 1.0
Jan 17 20:31:54 camtrace15 kernel: uhub3: VIA UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
Jan 17 20:31:54 camtrace15 kernel: uhub3: 2 ports with 2 removable, self powered
Jan 17 20:31:54 camtrace15 kernel: ehci0: <VIA VT6202 USB 2.0 controller> mem 0xdffff000-0xdffff0ff irq 21 at device 16.4 on pci0
Jan 17 20:31:54 camtrace15 kernel: ehci0: [GIANT-LOCKED]
Jan 17 20:31:54 camtrace15 kernel: usb4: EHCI version 1.0
Jan 17 20:31:54 camtrace15 kernel: usb4: companion controllers, 2 ports each: usb0 usb1 usb2 usb3
Jan 17 20:31:54 camtrace15 kernel: usb4: <VIA VT6202 USB 2.0 controller> on ehci0
Jan 17 20:31:54 camtrace15 kernel: usb4: USB revision 2.0
Jan 17 20:31:54 camtrace15 kernel: uhub4: VIA EHCI root hub, class 9/0, rev 2.00/1.00, addr 1
Jan 17 20:31:54 camtrace15 kernel: uhub4: 8 ports with 8 removable, self powered
Jan 17 20:31:54 camtrace15 kernel: isab0: <PCI-ISA bridge> at device 17.0 on pci0
Jan 17 20:31:54 camtrace15 kernel: isa0: <ISA bus> on isab0
Jan 17 20:31:54 camtrace15 kernel: pcib4: <ACPI PCI-PCI bridge> at device 19.1 on pci0
Jan 17 20:31:54 camtrace15 kernel: pci4: <ACPI PCI bus> on pcib4
Jan 17 20:31:54 camtrace15 kernel: em0: <Intel(R) PRO/1000 Network Connection Version - 6.7.2> port 0xcc00-0xcc3f mem 0xdfea0000-0xdfebffff,0xdfec0000-0xdfedffff irq 17 at device 5.0 on pci4
Jan 17 20:31:54 camtrace15 kernel: em0: Ethernet address: 00:1b:21:03:4c:b5
Jan 17 20:31:54 camtrace15 kernel: em0: [GIANT-LOCKED]
Jan 17 20:31:54 camtrace15 kernel: rl0: <RealTek 8139 10/100BaseTX> port 0xc800-0xc8ff mem 0xdfeff000-0xdfeff0ff irq 20 at device 7.0 on pci4
Jan 17 20:31:54 camtrace15 kernel: miibus0: <MII bus> on rl0
Jan 17 20:31:54 camtrace15 kernel: rlphy0: <RealTek internal media interface> on miibus0
Jan 17 20:31:54 camtrace15 kernel: rlphy0:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, auto
Jan 17 20:31:54 camtrace15 kernel: rl0: Ethernet address: 00:1d:60:95:d9:f8
Jan 17 20:31:54 camtrace15 kernel: rl0: [GIANT-LOCKED]
Jan 17 20:31:54 camtrace15 kernel: pcib5: <ACPI Host-PCI bridge> on acpi0
Jan 17 20:31:54 camtrace15 kernel: acpi_bus_number: can't get _ADR
Jan 17 20:31:54 camtrace15 kernel: acpi_bus_number: can't get _ADR
Jan 17 20:31:54 camtrace15 kernel: pci128: <ACPI PCI bus> on pcib5
Jan 17 20:31:54 camtrace15 kernel: pci128: <multimedia> at device 1.0 (no driver attached)
Jan 17 20:31:54 camtrace15 kernel: acpi_tz0: <Thermal Zone> on acpi0
Jan 17 20:31:54 camtrace15 kernel: sio0: configured irq 4 not in bitmap of probed irqs 0
Jan 17 20:31:54 camtrace15 kernel: sio0: port may not be enabled
Jan 17 20:31:54 camtrace15 kernel: sio0: <16550A-compatible COM port> port 0x3f8-0x3ff irq 4 flags 0x10 on acpi0
Jan 17 20:31:54 camtrace15 kernel: sio0: type 16550A
Jan 17 20:31:54 camtrace15 kernel: ppc0: <ECP parallel printer port> port 0x378-0x37f,0x778-0x77b irq 7 drq 3 on acpi0
Jan 17 20:31:54 camtrace15 kernel: ppc0: SMC-like chipset (ECP/EPP/PS2/NIBBLE) in COMPATIBLE mode
Jan 17 20:31:54 camtrace15 kernel: ppc0: FIFO with 16/16/16 bytes threshold
Jan 17 20:31:54 camtrace15 kernel: ppbus0: <Parallel port bus> on ppc0
Jan 17 20:31:54 camtrace15 kernel: plip0: <PLIP network interface> on ppbus0
Jan 17 20:31:54 camtrace15 kernel: lpt0: <Printer> on ppbus0
Jan 17 20:31:54 camtrace15 kernel: lpt0: Interrupt-driven port
Jan 17 20:31:54 camtrace15 kernel: ppi0: <Parallel I/O> on ppbus0
Jan 17 20:31:54 camtrace15 kernel: atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
Jan 17 20:31:54 camtrace15 kernel: atkbd0: <AT Keyboard> irq 1 on atkbdc0
Jan 17 20:31:54 camtrace15 kernel: kbd0 at atkbd0
Jan 17 20:31:54 camtrace15 kernel: atkbd0: [GIANT-LOCKED]
Jan 17 20:31:54 camtrace15 kernel: psm0: <PS/2 Mouse> irq 12 on atkbdc0
Jan 17 20:31:54 camtrace15 kernel: psm0: [GIANT-LOCKED]
Jan 17 20:31:54 camtrace15 kernel: psm0: model IntelliMouse Explorer, device ID 4
Jan 17 20:31:54 camtrace15 kernel: pmtimer0 on isa0
Jan 17 20:31:54 camtrace15 kernel: orm0: <ISA Option ROMs> at iomem 0xc0000-0xc97ff,0xcc000-0xccfff,0xcd000-0xcdfff on isa0
Jan 17 20:31:54 camtrace15 kernel: sc0: <System console> at flags 0x100 on isa0
Jan 17 20:31:54 camtrace15 kernel: sc0: VGA <16 virtual consoles, flags=0x300>
Jan 17 20:31:54 camtrace15 kernel: sio1: configured irq 3 not in bitmap of probed irqs 0
Jan 17 20:31:54 camtrace15 kernel: sio1: port may not be enabled
Jan 17 20:31:54 camtrace15 kernel: vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
Jan 17 20:31:54 camtrace15 kernel: Timecounters tick every 1.000 msec
Jan 17 20:31:54 camtrace15 kernel: ipfw2 (+ipv6) initialized, divert loadable, rule-based forwarding disabled, default to deny, logging disabled
Jan 17 20:31:54 camtrace15 kernel: acd0: DVDR <HL-DT-STDVD-RAM GSA-H55N/1.02> at ata0-master UDMA33
Jan 17 20:31:54 camtrace15 kernel: ad4: 476940MB <SAMSUNG HD501LJ CR100-12> at ata2-master UDMA33
Jan 17 20:31:54 camtrace15 kernel: SMP: AP CPU #1 Launched!
Jan 17 20:31:54 camtrace15 kernel: Trying to mount root from ufs:/dev/ad4s1a
Jan 17 20:31:55 camtrace15 kernel: em0: link state changed to UP
Jan 17 20:31:56 camtrace15 kernel: rl0: link state changed to UP
Jan 17 20:31:56 camtrace15 ntpd[675]: ntpd 4.2.0-a Fri Jan 12 06:42:16 UTC 2007 (1)

Fix: 

none found
How-To-Repeat: Combine heavy CPU and network load.
We do this with capturing HTTP streams from 9 IP cameras
and display them all, both on a local Firefox under X11 and on
a remote windows client.
Our product comes on a self installing demo CD that is
downloadable from our ftp site on request.
Comment 1 Remko Lodder freebsd_committer 2008-01-18 06:37:02 UTC
Responsible Changed
From-To: freebsd-bugs->jfv

Over to maintainer.
Comment 2 Sean Bruno freebsd_committer 2015-06-29 18:03:33 UTC
This issue was addressed in commits to head and MFC's to stable/10 and should be resolved in the upcoming 10.2r and beta.  Please retest if possible and open a ticket against that release if time permits.